We currently test full page functionality on the Firefox family.

We began supporting Firefox version 2, 3, and 3.5 with the 7.80 release of The Educatiton Edge. fo

If using The Education Edge version 7.80 or lower:

Update to the latest version of The Education Edge.

or

Update to the latest version of Blackbaud Student Information System.

Refer to our system requirements for for the latest compatibility information.